Get a person
curl --request GET \
--url https://api.extole.io/v5/persons/{person_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v5/persons/{person_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v5/persons/{person_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"identity_id": "<string>",
"identity_key": {
"name": "<string>"
},
"identity_key_value": "<string>",
"locale": {
"last_browser": "<string>",
"user_specified": "<string>"
},
"version": "<string>"
}Persons
Get a person
Returns the person profile for the specified person_id. The response includes the person’s current identity key and value, locale settings, and version. Returns 403 person_not_found if the person does not exist or is not accessible.
GET
https://api.extole.io
/
v5
/
persons
/
{person_id}
Get a person
Authorizations
HEADERQUERYCOOKIE
Path Parameters
The Extole unique profile identifier of this user at Extole.
Response
Person profile.
Person profile returned by the Extole platform.
Extole-assigned unique identifier for this person.
Identifier within the identity store that represents this person's merged profile.
Name of the identity key this client uses to identify persons, for example email or phone.
Show child attributes
Show child attributes
Value of the identity key for this person.
Show child attributes
Show child attributes
Optimistic-concurrency version token for the person record.
